package com.ruoyi.project.ehs.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.ehs.domain.TJobticket;
import com.ruoyi.project.invoice.domain.TInvoiceTag;

import java.util.List;
import java.util.Map;

/**
 * 工作票Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-01
 */
public interface TJobticketMapper
{
    /**
     * 查询工作票
     *
     * @param id 工作票ID
     * @return 工作票
     */
    public TJobticket selectTJobticketById(Long id);

    /**
     * 查询工作票列表
     *
     * @param tJobticket 工作票
     * @return 工作票集合
     */
    @DataScope(deptAlias = "d")
    public List<TJobticket> selectTJobticketList(TJobticket tJobticket);
    /**
     * 查询工作票列表
     *
     * @param tJobticket 工作票
     * @return 工作票集合
     */
    public List<TJobticket> selectTJobticketChildren(TJobticket tJobticket);
    /**
     * 新增工作票
     *
     * @param tJobticket 工作票
     * @return 结果
     */
    public int insertTJobticket(TJobticket tJobticket);

    /**
     * 修改工作票
     *
     * @param tJobticket 工作票
     * @return 结果
     */
    public int updateTJobticket(TJobticket tJobticket);

    /**
     * 删除工作票
     *
     * @param id 工作票ID
     * @return 结果
     */
    public int deleteTJobticketById(Long id);

    /**
     * 批量删除工作票
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTJobticketByIds(Long[] ids);

    List<DataEntity> selectFireData(Map param);
    List<DataEntity> selectStatusData(Map param);

    /**
     * 查询是否重复记录数
     *
     * @param tJobticket
     * @return 结果
     */
    int selectTJobticketSameData(TJobticket tJobticket);

    int countXp(TJobticket tJobticket);

    int updateTJobticketStatus(TJobticket tJobticket);

    int updateTag(TInvoiceTag oldTag);
}
